ECK on Amazon EKS K8S 1.21 with containerd runtime

Is ECK 2.2 and stack components 8.2.2 on EKS running Kubernetes v1.21.12-eks-5308cf7 and containerd runtime v1.4.13 as an Enterprise licensed cluster a supported configuration?

I don't see why not. We list all supported versions here Supported versions | Elastic Cloud on Kubernetes [master] | Elastic

Do you have specific concerns that make you think this setup might not work?